This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 351141 - pysol fails to load, triggers assert
pysol fails to load, triggers assert
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: PySolFC (Show other bugs)
7
i386 Linux
high Severity high
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 15:25 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 21:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-10-24 15:25:59 EDT
Description of problem:
When running pysol (either from the menu or from a terminal), as soon as the 
cards are dealt, pysol crashes. The following assertion failure is echoed to 
the console:
python: ./Modules/_tkinter.c:941: AsObj: Assertion `size < size * 
sizeof(Tcl_UniChar)' failed.

Version-Release number of selected component (if applicable):
PySolFC-1.1-3.fc7

How reproducible:
Always

Steps to Reproduce:
1. Try running pysol.
  
Actual results:
Assertion failure as described above.

Expected results:
Working game.
Comment 1 Kevin J. Cummings 2007-10-24 15:57:19 EDT
confirmed on my i586 system.  Running on a K6-2 500MHz.  Brings up the first
game, displays the board, then dies as above.
Comment 2 Stewart Adam 2007-10-24 16:39:09 EDT
Please see bug 281751
Comment 3 Stewart Adam 2007-10-31 21:15:31 EDT
The python bug should be fixed now.
Comment 4 Kevin Kofler 2007-10-31 21:28:04 EDT
Yes, it works now with the latest Python in F7.

Note You need to log in before you can comment on or make changes to this bug.